none
ソリューションのNugetパッケージの管理でインストールでエラーになる RRS feed

  • 質問

  • 既存のUWPアプリを開発しているのですが、トースト通知機能を使いたくMicrosoft.Toolkit.Uwp.Notificationsパッケージをインストールしようとしてみましたが

    インストールボタンを押下した所、以下のエラーメメッセージが表示されました。

    'Microsoft.Toolkit.Uwp.Notifications'はソリューション内のどのプロジェクトとも互換性がないので、インストールできませんでした。パッケージの対象は次のフレームワークです:

    native Verstion = v0.0

    UAP,Verstion=v10.0

    どの様な対応をすればインストールが出来るかどなたか教えていただけますでしょうか

    2018年11月7日 6:09

すべての返信

  • Higashinoさん、こんにちは。フォーラムオペレーターのHarukaです。
    MSDN フォーラムにご投稿くださいましてありがとうございます。

    本件の状況につきまして、詳しく教えていただけますでしょうか。
    ◆インストールボタンを押す時、どんなバージョンを選択しましたか。(”Latest stable 5.0.0”でしょうか、それともなんでしょうか)

    ◆プロジェクトを右クリックし、プロバティを選択し、ターゲットSDKバージョンを教えてください。(”Windows10, version 1803(10.0;Build 17134)でしょうか、それともなんでしょうか)

    一般的に、Nuget パッケージは、要件を満たすためにパッケージを自動的にダウングレードします。
    また、公式ページはその依存関係の最低要求は示されています。
    https://www.nuget.org/packages/Microsoft.Toolkit.Uwp.Notifications/

    最低要求を満たすことができない場合、互換性がないというエラーが表示されます。この問題を解決するには、Notificationパッケージの低いバージョンを選択するか、プロジェクトのターゲット SDK バージョンをアップグレードする必要があると思います。

    どうぞよろしくお願いします。

    参考になった投稿には回答としてマークの設定にご協力ください
    MSDN/TechNet Community Support Haruka

    2018年11月14日 7:52
    モデレータ